org.keycloak.url

## Class FixedHostnameProviderFactory

- java.lang.Object
- - org.keycloak.url.FixedHostnameProviderFactory

- All Implemented Interfaces:
    ProviderFactory<HostnameProvider>, HostnameProviderFactory

  Deprecated.

      @Deprecated
      public class FixedHostnameProviderFactory
      extends Object
      implements HostnameProviderFactory

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FixedHostnameProviderFactory()` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `HostnameProvider` | `create(KeycloakSession session)` Deprecated.
    `String` | `getId()` Deprecated.
    `void` | `init(Config.Scope config)` Deprecated. Only called once when the factory is first created.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.urls.HostnameProviderFactory

      `close, postInit`

    - ### Methods inherited from interface org.keycloak.provider.ProviderFactory

      `order`

- - ### Constructor Detail

    - #### FixedHostnameProviderFactory

          public FixedHostnameProviderFactory()

      Deprecated.

  - ### Method Detail

    - #### create

          public HostnameProvider create(KeycloakSession session)

      Deprecated.
      Specified by:
        `create` in interface `ProviderFactory<HostnameProvider>`

    - #### init

          public void init(Config.Scope config)

      Deprecated.
      Description copied from interface: `ProviderFactory`
      Only called once when the factory is first created. This config is pulled from keycloak_server.json
      Specified by:
        `init` in interface `ProviderFactory<HostnameProvider>`
      Specified by:
        `init` in interface `HostnameProviderFactory`

    - #### getId

          public String getId()

      Deprecated.
      Specified by:
        `getId` in interface `ProviderFactory<HostnameProvider>`

Copyright © 2021 JBoss by Red Hat. All rights reserved.